Description

In the metadata tab of [[PostGIS]] layer properties the line "Storage type of this layer:" shows "Generic vector file"

This seemed odd since a shapefile layer would show "ESRI Shapefile" in its properties.

Checking with version 0.8.1, [[PostGIS]] layers have "PostgreSQL database with [[PostGIS]] extension" for storage type.

This is a very minor defect.

I found that the storageType() function declared in qgspostgresprovider.h and defined in qgspostgresprovider.cpp was missing a trailing

const modifier. In the patch provided I also added virtual in the declaration, but I am a bit confused as to whether it should be used, since

the usage appears inconsistent with other similar functions.

Associated revisions

Revision c1669e2a - 2008-03-16 05:52 PM - Jürgen Fischer

- add getUniqueValues method to QgsVectorDataProvider

 - implement getUniqueValues in QgsPostgresProvider (fixes #399)

 - implement getUniqueValues, minValue and maxValue in OgsOgrProvider

 - use getUniqueValues in QgsUniqueValueDialog

- update QgsPostgresProvider::storageType interface (fixes #995)

  (applied patch from Steven Mizuno, thanks again)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@8233 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision d8460108 - 2008-03-16 05:52 PM - Jürgen Fischer

- add getUniqueValues method to QgsVectorDataProvider

 - implement getUniqueValues in QgsPostgresProvider (fixes #399)

 - implement getUniqueValues, minValue and maxValue in OgsOgrProvider

 - use getUniqueValues in QgsUniqueValueDialog

- update QgsPostgresProvider::storageType interface (fixes #995)

  (applied patch from Steven Mizuno, thanks again)

git-svn-id: http://svn.osgeo.org/qgis/trunk@8233 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-03-16 09:54 AM - Jürgen Fischer

- Resolution set to fixed
http://svn.osgeo.org/qgis/trunk/qgis@8233
http://svn.osgeo.org/qgis/trunk@8233


- Status changed from Open to Closed

fixed in

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
